﻿@using GoCoCMS.Web.Areas.Admin.Models.Post
@model BlogPostModel

<div asp-validation-summary="ModelOnly"></div>
<input asp-for="Id" type="hidden" />

<div class="content">
  <div class="form-horizontal">
    <div class="panel-group">
      <div class="panel panel-default">
        <div class="panel-body">
          <div class="form-group">
            <div class="col-md-3">
              <goco-label asp-for="Name" asp-required="true" />
            </div>
            <div class="col-md-9">
              <input asp-for="Name" class="form-control" type="text" />
              <span asp-validation-for="Name"></span>
            </div>
          </div>
          <div class="form-group">
            <div class="col-md-3">
              <goco-label asp-for="ShortDescription" asp-required="true" />
            </div>
            <div class="col-md-9">
              <textarea asp-for="ShortDescription" rows="5" class="form-control"></textarea>
              <span asp-validation-for="ShortDescription"></span>
            </div>
          </div>
          <div class="form-group">
            <div class="col-md-3">
              <goco-label asp-for="Content" asp-required="true" />
            </div>
            <div class="col-md-9">
              <textarea asp-for="Content" rows="5" class="ckeditor form-control"></textarea>
              <span asp-validation-for="Content"></span>
            </div>
          </div>
          <div class="form-group">
            <div class="col-md-3">
              <goco-label asp-for="BlogCategoryId" />
            </div>
            <div class="col-md-9">
              <select class="form-control" asp-for="BlogCategoryId" asp-items="@Model.AvailableCategories"></select>
            </div>
          </div>
            <div class="form-group">
                <div class="col-md-3">
                    <goco-label asp-for="ShowOnHomePage" />
                </div>
                <div class="col-md-9">
                    <input asp-for="ShowOnHomePage" class="checkbox"/>
                </div>
            </div>
            <div class="form-group">
                <div class="col-md-3">
                    <goco-label asp-for="AllowComment" />
                </div>
                <div class="col-md-9">
                    <input asp-for="AllowComment" class="checkbox"/>
                </div>
            </div>
          <div class="form-group">
            <div class="col-md-3">
              <goco-label asp-for="ThumbnailImage" />
            </div>
            <div class="col-md-9">
              <input type="file" asp-for="ThumbnailImage" class="UploadImage"/>
              <div id="imgPreview" class="thumbnail" style="display: @(!string.IsNullOrEmpty(Model.ThumbnailImage) ? "block" : "none")">
                <img asp-append-version="true" class="img-responsive" src="/images/@Model.ThumbnailImage" id="targetImg" alt=""/>
                <div class="caption">
                  <a href="#" onclick="ClearPreview()" title="Remove image" class="btn btn-default">Remove image</a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>